## golang-github-go-ldap-ldap 3.4.9

=== Makefile ===
.PHONY: default install build test quicktest fmt vet lint 

# List of all release tags "supported" by our current Go version
# E.g. ":go1.1:go1.2:go1.3:go1.4:go1.5:go1.6:go1.7:go1.8:go1.9:go1.10:go1.11:go1.12:"
GO_RELEASE_TAGS := $(shell go list -f ':{{join (context.ReleaseTags) ":"}}:' runtime)

# Only use the `-race` flag on newer versions of Go (version 1.3 and newer)
ifeq (,$(findstring :go1.3:,$(GO_RELEASE_TAGS)))
	RACE_FLAG :=
else
	RACE_FLAG := -race -cpu 1,2,4
endif

# Run `go vet` on Go 1.12 and newer. For Go 1.5-1.11, use `go tool vet`
ifneq (,$(findstring :go1.12:,$(GO_RELEASE_TAGS)))
	GO_VET := go vet \
		-atomic \
		-bool \
		-copylocks \
		-nilfunc \
		-printf \
		-rangeloops \
		-unreachable \
		-unsafeptr \
		-unusedresult \
		.
else ifneq (,$(findstring :go1.5:,$(GO_RELEASE_TAGS)))
	GO_VET := go tool vet \
		-atomic \
		-bool \
		-copylocks \
		-nilfunc \
		-printf \
		-shadow \
		-rangeloops \
		-unreachable \
		-unsafeptr \
		-unusedresult \
		.
else
	GO_VET := @echo "go vet skipped -- not supported on this version of Go"
endif

default: fmt vet lint build quicktest

install:
	go get -t -v ./...

build:
	go build -v ./...

test:
	go test -v $(RACE_FLAG) -cover ./...

quicktest:
	go test ./...

fuzz:
	go test -fuzz=FuzzParseDN				-fuzztime=600s .
	go test -fuzz=FuzzDecodeEscapedSymbols	-fuzztime=600s .
	go test -fuzz=FuzzEscapeDN 				-fuzztime=600s .

# Capture output and force failure when there is non-empty output
fmt:
	@echo gofmt -l .
	@OUTPUT=`gofmt -l . 2>&1`; \
	if [ "$$OUTPUT" ]; then \
		echo "gofmt must be run on the following files:"; \
		echo "$$OUTPUT"; \
		exit 1; \
	fi

vet:
	$(GO_VET)

# https://github.com/golang/lint
# go get github.com/golang/lint/golint
# Capture output and force failure when there is non-empty output
# Only run on go1.5+
lint:
	@echo golint ./...
	@OUTPUT=`command -v golint >/dev/null 2>&1 && golint ./... 2>&1`; \
	if [ "$$OUTPUT" ]; then \
		echo "golint errors:"; \
		echo "$$OUTPUT"; \
		exit 1; \
	fi

## golang-github-go-ldap-ldap 0.0~git20150817.24.12f2865

=== debian/changelog ===
golang-github-go-ldap-ldap (0.0~git20150817.24.12f2865-1) unstable; urgency=medium

  * Initial release (Closes: #798022)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Wed, 02 Sep 2015 21:13:23 -0400

=== debian/control ===
Source: golang-github-go-ldap-ldap
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-gopkg-asn1-ber.v1-dev
Standards-Version: 3.9.6
Homepage: https://github.com/go-ldap/ldap
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-ldap-ldap.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-go-ldap-ldap.git

Package: golang-github-go-ldap-ldap-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go,
         golang-gopkg-asn1-ber.v1-dev
Built-Using: ${misc:Built-Using}
Description: Basic LDAP v3 functionality for the Go programming language
 The ldap package provides basic LDAPv3 functionality for the Go
 programming language.
 Currently supported features include:
  - Connecting to LDAP server
  - Binding to LDAP server
  - Searching for entries
  - Compiling string filters to LDAP filters
  - Paging Search Results
  - Modify Requests / Responses

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/go-ldap/ldap

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-go-ldap-ldap 2.3.0

=== debian/changelog ===
golang-github-go-ldap-ldap (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Added watch file
  * Refreshed disable-internet-tests.patch
  * Replaced Vcs-Git by secure (https) url
  * Make use of XS-Go-Import-Path
  * Changed my email to @debian.org
  * Bumped Standards-Version to 3.9.7
  * New /usr/share/gocode/src/gopkg.in/ldap.v2 symlink

 -- Alexandre Viau <aviau@debian.org>  Mon, 21 Mar 2016 23:52:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
                golang-gopkg-asn1-ber.v1-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/go-ldap/ldap
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-ldap-ldap.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-go-ldap-ldap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-ldap-ldap.git
+XS-Go-Import-Path: gopkg.in/ldap.v2
 
 Package: golang-github-go-ldap-ldap-dev
 Architecture: all

## golang-github-go-ldap-ldap 2.4.1

=== debian/changelog ===
golang-github-go-ldap-ldap (2.4.1-1+deb9u1) stretch; urgency=medium

  * Team upload.
  * Require explicit intention for empty password.
    This is normally used for unauthenticated bind, and
    https://tools.ietf.org/html/rfc4513#section-5.1.2 recommends:
    "Clients SHOULD disallow an empty password input to a Name/Password
    Authentication user interface"
    This is (mostly) a cherry-pick of 95ede12 from upstream, except
    the bit in ldap_test.go, which is unrelated to the security issue.
    This fixes CVE-2017-14623. (Closes: #876404)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 29 Nov 2017 23:45:26 +0100

golang-github-go-ldap-ldap (2.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.8.

 -- Alexandre Viau <aviau@debian.org>  Tue, 16 Aug 2016 12:19:35 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-go,
                golang-gopkg-asn1-ber.v1-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/go-ldap/ldap
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-ldap-ldap.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-ldap-ldap.git

## golang-github-go-ldap-ldap 2.5.0

=== debian/changelog ===
golang-github-go-ldap-ldap (2.5.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: adapt to BSD -> Expat license change.
  * Bump Standards-Version to 4.0.0.
  * Set Testsuite to autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Wed, 02 Aug 2017 16:55:53 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                dh-golang,
                golang-go,
                golang-gopkg-asn1-ber.v1-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/go-ldap/ldap
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-go-ldap-ldap.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-go-ldap-ldap.git
 XS-Go-Import-Path: gopkg.in/ldap.v2
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-go-ldap-ldap-dev
 Architecture: all

## golang-github-go-ldap-ldap 2.5.1

=== debian/changelog ===
golang-github-go-ldap-ldap (2.5.1-4ubuntu1) groovy; urgency=medium

  * d/p/64bit-align.patch: Ensure 64-bit alignment for atomics on 32-bit
    platforms.  Thanks to Psychotropos <truthbit2@gmail.com>.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 18 Jun 2020 12:45:55 -0300

golang-github-go-ldap-ldap (2.5.1-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:58:38 -0500

golang-github-go-ldap-ldap (2.5.1-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:36:13 -0500

golang-github-go-ldap-ldap (2.5.1-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 13:38:11 -0500

golang-github-go-ldap-ldap (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.1
    - New patch: Require explicit intention for empty password.
      This is a cherry-pick of 95ede12 from upstream, which fixes
      CVE-2017-14623. (Closes: #876404)
  * Use debhelper v10
  * Update team name
  * Update to Standards-Version 4.1.1
    - Use HTTPS URL for d/copyright
    - Use Priority: optional
  * Use golang-any instead of golang-go
  * Update d/copyright
  * Use wrap-and-sort for d/control

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 29 Nov 2017 14:09:11 +0100

=== debian/control ===
Source: golang-github-go-ldap-ldap
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-gopkg-asn1-ber.v1-dev
Standards-Version: 4.1.1
Homepage: https://github.com/go-ldap/ldap
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
XS-Go-Import-Path: gopkg.in/ldap.v2
Testsuite: autopkgtest-pkg-go

Package: golang-github-go-ldap-ldap-dev
Architecture: all
Depends: golang-gopkg-asn1-ber.v1-dev, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Basic LDAP v3 functionality for the Go programming language
 The ldap package provides basic LDAPv3 functionality for the Go
 programming language.
 Currently supported features include:
  - Connecting to LDAP server
  - Binding to LDAP server
  - Searching for entries
  - Compiling string filters to LDAP filters
  - Paging Search Results
  - Modify Requests / Responses

## golang-github-go-ldap-ldap 3.2.3

=== debian/changelog ===
golang-github-go-ldap-ldap (3.2.3-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Depend on golang-github-azure-go-ntlmssp-dev.
  * Depend on ber 1.5.1.

 -- Alexandre Viau <aviau@debian.org>  Sat, 29 Aug 2020 23:20:51 -0400

=== debian/control ===
Source: golang-github-go-ldap-ldap
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-gopkg-asn1-ber.v1-dev (>=1.5.1),
               golang-github-azure-go-ntlmssp-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/go-ldap/ldap
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
XS-Go-Import-Path: gopkg.in/ldap.v2
Testsuite: autopkgtest-pkg-go

Package: golang-github-go-ldap-ldap-dev
Architecture: all
Depends: ${misc:Depends},
        golang-gopkg-asn1-ber.v1-dev (>=1.5.1),
        golang-github-azure-go-ntlmssp-dev,
Description: Basic LDAP v3 functionality for the Go programming language
 The ldap package provides basic LDAPv3 functionality for the Go
 programming language.
 Currently supported features include:
  - Connecting to LDAP server
  - Binding to LDAP server
  - Searching for entries
  - Compiling string filters to LDAP filters
  - Paging Search Results
  - Modify Requests / Responses

=== debian/watch ===
version=3
https://github.com/go-ldap/ldap/releases .*/v?(\d\S*)\.tar\.gz

## golang-github-go-ldap-ldap 3.4.1

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.1-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release
  * d/control
    - Add myself to Uploaders, and remove Alexandre Viau (Closes: #940360)
        Thanks for your work Alexandre!
    - Update Go Team's email address in Maintainer field
    - Update Section to golang
    - Remove version constraint on golang-gopkg-asn1-ber.v1-dev, as it's
      no longer needed for bookworm
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
    - Add Multi-Arch: foreign
  * Add myself to d/copyright
  * Refresh d/rules
  * Update d/watch

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 26 Nov 2021 11:41:40 +0100

=== debian/control ===
Source: golang-github-go-ldap-ldap
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gopkg-asn1-ber.v1-dev,
               golang-github-azure-go-ntlmssp-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
Homepage: https://github.com/go-ldap/ldap
Rules-Requires-Root: no
XS-Go-Import-Path: gopkg.in/ldap.v2

Package: golang-github-go-ldap-ldap-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
        golang-gopkg-asn1-ber.v1-dev,
        golang-github-azure-go-ntlmssp-dev,
Description: Basic LDAP v3 functionality for the Go programming language
 The ldap package provides basic LDAPv3 functionality for the Go
 programming language.
 Currently supported features include:
  - Connecting to LDAP server
  - Binding to LDAP server
  - Searching for entries
  - Compiling string filters to LDAP filters
  - Paging Search Results
  - Modify Requests / Responses

## golang-github-go-ldap-ldap 3.4.3

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.3-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream release
    - Refresh patch
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 29 Apr 2022 00:46:37 +0000

## golang-github-go-ldap-ldap 3.4.4

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.4-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: golang-github-stretchr-testify-dev (>= 1.7.2~),
    Depends: golang-golang-x-crypto-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Nov 2022 17:37:39 +0100

golang-github-go-ldap-ldap (3.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Depends: golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
      golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Nov 2022 15:14:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-gopkg-asn1-ber.v1-dev,
-               golang-github-azure-go-ntlmssp-dev,
-Standards-Version: 4.6.0
+               golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
+               golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
+               golang-github-stretchr-testify-dev (>= 1.7.2~),
+               golang-golang-x-crypto-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
 Homepage: https://github.com/go-ldap/ldap
@@ -20,8 +22,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-        golang-gopkg-asn1-ber.v1-dev,
-        golang-github-azure-go-ntlmssp-dev,
+        golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
+        golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
+        golang-golang-x-crypto-dev
 Description: Basic LDAP v3 functionality for the Go programming language
  The ldap package provides basic LDAPv3 functionality for the Go
  programming language.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-ldap/ldap/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-ldap-ldap 3.4.5

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.5-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update my email address
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Add Breaks for golang-github-canonical-candid-dev <= 1.12.2-1
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 21:54:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-go-ldap-ldap
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,7 +11,7 @@
                golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
                golang-github-stretchr-testify-dev (>= 1.7.2~),
                golang-golang-x-crypto-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
 Homepage: https://github.com/go-ldap/ldap
@@ -25,6 +25,7 @@
         golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
         golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
         golang-golang-x-crypto-dev
+Breaks: golang-github-canonical-candid-dev (<= 1.12.2-1)
 Description: Basic LDAP v3 functionality for the Go programming language
  The ldap package provides basic LDAPv3 functionality for the Go
  programming language.

## golang-github-go-ldap-ldap 3.4.6

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.6-1) unstable; urgency=medium

  * New upstream release
    - Refresh patch to skip tests that attempt network access
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Nov 2023 15:28:08 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
                golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
+               golang-github-google-uuid-dev,
                golang-github-stretchr-testify-dev (>= 1.7.2~),
-               golang-golang-x-crypto-dev
+               golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
@@ -22,9 +22,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-        golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~),
-        golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
-        golang-golang-x-crypto-dev
+         golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
+         golang-github-google-uuid-dev,
+         golang-github-stretchr-testify-dev (>= 1.7.2~),
+         golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~)
 Breaks: golang-github-canonical-candid-dev (<= 1.12.2-1)
 Description: Basic LDAP v3 functionality for the Go programming language
  The ldap package provides basic LDAPv3 functionality for the Go

## golang-github-go-ldap-ldap 3.4.8

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.8-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update Build-Depends and Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 20 Apr 2024 21:25:31 +0000

## golang-github-go-ldap-ldap 3.4.9

=== debian/changelog ===
golang-github-go-ldap-ldap (3.4.9-1) unstable; urgency=medium

  * New upstream release
    - Refresh patch to skip tests that attempt network access

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Dec 2024 14:27:20 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                golang-any,
                golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
                golang-github-google-uuid-dev,
+               golang-github-jcmturner-gokrb5.v8-dev,
                golang-github-stretchr-testify-dev (>= 1.7.2~),
                golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-ldap-ldap.git
 Homepage: https://github.com/go-ldap/ldap
@@ -24,6 +25,7 @@
 Depends: ${misc:Depends},
          golang-github-azure-go-ntlmssp-dev (>= 0.0~git20220621.cb9428e~),
          golang-github-google-uuid-dev,
+         golang-github-jcmturner-gokrb5.v8-dev,
          golang-github-stretchr-testify-dev (>= 1.7.2~),
          golang-gopkg-asn1-ber.v1-dev (>= 1.5.4~)
 Breaks: golang-github-canonical-candid-dev (<= 1.12.2-1)
